
Name:		kronometer
Version:	2.3.0
Release:	%mkrel 1
Summary:	A simple stopwatch application for Plasma 5
License:	GPLv2
Group:		Graphical desktop/KDE5
URL:		http://www.aelog.org/kronometer
Source0:	http://download.kde.org/stable/kronometer/%{version}/src/%{name}-%{version}.tar.xz
Source1:    org.kde.kronometer.desktop
#---------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake  
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kdoctools-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
#---------------------------------------

%description
Kronometer is a stopwatch application for Plasma 5.

Kronometer’s main features are the following:

* Start/pause/resume the stopwatch widget.
* Laps recording: you can capture the stopwatch time when you want and add a
  note to it.
* Lap times sorting: you can easily find the shortest lap time or the longest
  one.
* Reset the stopwatch widget and the lap times.
* Time format settings: you can choose the stopwatch granularity.
* Times saving and resuming: you can save the stopwatch status and resume it
  later.
* Font customization: you can choose the fonts for each of the stopwatch
  digits.
* Color customization: you can choose the color for the stopwatch digits and
  the stopwatch background.
* Lap times export: you can export the lap times on a file using the JSON or
  CSV format.

%files
%{_kf5_bindir}
%{_kf5_datadir}
%exclude %{_kf5_docdir}
#--------------------------------------------------------------------

%package	handbook
Summary:	Kronometer Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name}

%description	handbook
This package provides Kronometer handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
rm -rf %buildroot
%make_install -C build

#menu
install -m 0644 %SOURCE1 %buildroot/%{_kf5_applicationsdir}/org.kde.%{name}.desktop


%changelog
* Fri Dec 02 2022 tex - 2.3.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 2.1.4-3pclos2022
- rebuild against updates

* Wed Feb 06 2019 tex - 2.1.4-2pclos2019
- rebuild against updates

* Sat Feb 18 2017 bb <bb. 2.1.4-1pclos2017
- import into pclos
